function val = get(p, propName)
% GET Get IncWave properties from the specified object
% and return the value
switch propName
case 'Type'
   val = p.Type;
case 'A'
   val = p.A;
case 'T'
   val = p.T;
case 'g'
   val = p.g;  
case 'n_phases'
   val = p.n_phases;
case 'phases'
   val = p.phases;
case 'spectrum'
   val = p.spectrum;
case 'freq'
   val = p.freq;
case 'df'
   val = p.df;
case 'beta'
   val = p.beta;   
case 'fmax'
   val = p.fmax;   
otherwise
   error([propName,' Is not a valid IncWave property'])
end